/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfhfumov.hxx
 *      DATE: 30/01/01 - 09:05
 *   COMMENT: R60_12
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFHFUMOV
 * XETRA INQUIRE PUBLIC ORDER BOOK
 * 
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFHFUMOV_HXX_
#define _RFHFUMOV_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define BST_ASK_PRC_LEN       13
#define BST_ASK_QTY_LEN       15
#define BST_BID_PRC_LEN       13
#define BST_BID_QTY_LEN       15
#define ISIN_COD_LEN          12
#define KEY_DAT_CTRL_BLC_LEN  80

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define BST_FIM_ORD_GRP_MAX   65

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfhfumov_bstAskPrc(Xarg1)  instData5.bstFimOrdGrp[(Xarg1)].bstAskPrc
#define rfhfumov_bstAskQty(Xarg1)  instData5.bstFimOrdGrp[(Xarg1)].bstAskQty
#define rfhfumov_bstBidPrc(Xarg1)  instData5.bstFimOrdGrp[(Xarg1)].bstBidPrc
#define rfhfumov_bstBidQty(Xarg1)  instData5.bstFimOrdGrp[(Xarg1)].bstBidQty
#define rfhfumov_isinCod           instData5.instGrpIdCod.isinCod
#define rfhfumov_keyDatCtrlBlc     keyDatCtrlBlc

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/
#ifndef _BST_FIM_ORD_GRP_T_
#define _BST_FIM_ORD_GRP_T_

    typedef struct bstFimOrdGrpTag
    {
        char bstBidPrc[BST_BID_PRC_LEN+1];
        char bstAskPrc[BST_ASK_PRC_LEN+1];
        char bstBidQty[BST_BID_QTY_LEN+1];
        char bstAskQty[BST_ASK_QTY_LEN+1];
    } bstFimOrdGrpT, *pBstFimOrdGrpT;


#endif  /* _BST_FIM_ORD_GRP_T_ */

/*----------------------------------------------------------------------------*/
#ifndef _INST_GRP_ID_COD_T_
#define _INST_GRP_ID_COD_T_

    typedef struct instGrpIdCodTag
    {
        char isinCod[ISIN_COD_LEN];
    } instGrpIdCodT, *pInstGrpIdCodT;


#endif  /* _INST_GRP_ID_COD_T_ */

/*----------------------------------------------------------------------------*/
#ifndef _INST_DATA_5_T_
#define _INST_DATA_5_T_

    typedef struct instData5Tag
    {
        instGrpIdCodT instGrpIdCod;
        bstFimOrdGrpT bstFimOrdGrp[BST_FIM_ORD_GRP_MAX];
    } instData5T, *pInstData5T;


#endif  /* _INST_DATA_5_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct rfhfumovTag
    {
        char keyDatCtrlBlc[KEY_DAT_CTRL_BLC_LEN];
        instData5T instData5;
    } rfhfumovT, *pRfhfumovT;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFHFUMOV_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfhfumov.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

