/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfhqudel.hxx
 *      DATE: 30/01/01 - 09:05
 *   COMMENT: R60_12
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFHQUDEL
 * XETRA DELETE QUOTE
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFHQUDEL_HXX_
#define _RFHQUDEL_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif



/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfhqudel_askSideDel  rshqudelWsRec.askSideDel
#define rfhqudel_bidSideDel  rshqudelWsRec.bidSideDel

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/
#ifndef _RSHQUDEL_WS_REC_T_
#define _RSHQUDEL_WS_REC_T_

    typedef struct rshqudelWsRecTag
    {
        char bidSideDel;
        char askSideDel;
    } rshqudelWsRecT, *pRshqudelWsRecT;


#endif  /* _RSHQUDEL_WS_REC_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct rfhqudelTag
    {
        rshqudelWsRecT rshqudelWsRec;
    } rfhqudelT, *pRfhqudelT;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFHQUDEL_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfhqudel.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

