/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfhslin.hxx
 *      DATE: 30/01/01 - 09:05
 *   COMMENT: R60_12
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFHSLIN
 * 
 * XETRA INQUIRE SUBGROUP LIST
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFHSLIN_HXX_
#define _RFHSLIN_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define KEY_DAT_CTRL_BLC_LEN  80
#define PART_SUB_GRP_COD_LEN  3

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define OCC_X_TIM_GRP_11_MAX  999

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfhslin_keyDatCtrlBlc         keyDatCtrlBlc
#define rfhslin_partSubGrpCod(Xarg1)  occXTimGrp11[(Xarg1)].partSubGrpCod

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/
#ifndef _OCC_X_TIM_GRP_11_T_
#define _OCC_X_TIM_GRP_11_T_

    typedef struct occXTimGrp11Tag
    {
        char partSubGrpCod[PART_SUB_GRP_COD_LEN];
    } occXTimGrp11T, *pOccXTimGrp11T;


#endif  /* _OCC_X_TIM_GRP_11_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct rfhslinTag
    {
        char keyDatCtrlBlc[KEY_DAT_CTRL_BLC_LEN];
        occXTimGrp11T occXTimGrp11[OCC_X_TIM_GRP_11_MAX];
    } rfhslinT, *pRfhslinT;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFHSLIN_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfhslin.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

