/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfmcp01.hxx
 *      DATE: 30/01/01 - 09:05
 *   COMMENT: R60_12
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFMCP01
 * 
 * XETRA RESET PASSWORD
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFMCP01_HXX_
#define _RFMCP01_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define NEW_PW_LEN               8
#define OLD_PW_LEN               8
#define PART_NO_TEXT_LEN         3
#define PART_SUB_GRP_ID_COD_LEN  3


/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfmcp01_newPw            newPw
#define rfmcp01_oldPw            oldPw
#define rfmcp01_partNoText       partIdCod.partNoText
#define rfmcp01_partSubGrpIdCod  partIdCod.partSubGrpIdCod

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/
#ifndef _PART_ID_COD_T_
#define _PART_ID_COD_T_

    typedef struct partIdCodTag
    {
        char partSubGrpIdCod[PART_SUB_GRP_ID_COD_LEN];
        char partNoText[PART_NO_TEXT_LEN];
    } partIdCodT, *pPartIdCodT;


#endif  /* _PART_ID_COD_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct rfmcp01Tag
    {
        char oldPw[OLD_PW_LEN];
        char newPw[NEW_PW_LEN];
        partIdCodT partIdCod;
    } rfmcp01T, *pRfmcp01T;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFMCP01_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfmcp01.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

