/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfreigin.hxx
 *      DATE: 30/01/01 - 09:05
 *   COMMENT: R60_12
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFREIGIN
 * XETRA INQUIRE INSTRUMENT GROUP
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFREIGIN_HXX_
#define _RFREIGIN_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define ISIN_COD_LEN             12
#define KEY_DAT_CTRL_BLC_LEN     80

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define MLI_ISIN_LIST_GRP_2_MAX  320

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfreigin_isinCod(Xarg1)  mliIsinGrp.mliIsinListGrp2[(Xarg1)].instGrpIdCod.isinCod
#define rfreigin_keyDatCtrlBlc   keyDatCtrlBlc

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/
#ifndef _INST_GRP_ID_COD_T_
#define _INST_GRP_ID_COD_T_

    typedef struct instGrpIdCodTag
    {
        char isinCod[ISIN_COD_LEN];
    } instGrpIdCodT, *pInstGrpIdCodT;


#endif  /* _INST_GRP_ID_COD_T_ */

/*----------------------------------------------------------------------------*/
#ifndef _MLI_ISIN_LIST_GRP_2_T_
#define _MLI_ISIN_LIST_GRP_2_T_

    typedef struct mliIsinListGrp2Tag
    {
        instGrpIdCodT instGrpIdCod;
    } mliIsinListGrp2T, *pMliIsinListGrp2T;


#endif  /* _MLI_ISIN_LIST_GRP_2_T_ */

/*----------------------------------------------------------------------------*/
#ifndef _MLI_ISIN_GRP_T_
#define _MLI_ISIN_GRP_T_

    typedef struct mliIsinGrpTag
    {
        mliIsinListGrp2T mliIsinListGrp2[MLI_ISIN_LIST_GRP_2_MAX];
    } mliIsinGrpT, *pMliIsinGrpT;


#endif  /* _MLI_ISIN_GRP_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct rfreiginTag
    {
        char keyDatCtrlBlc[KEY_DAT_CTRL_BLC_LEN];
        mliIsinGrpT mliIsinGrp;
    } rfreiginT, *pRfreiginT;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFREIGIN_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfreigin.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

