/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfreretr.hxx
 *      DATE: 30/01/01 - 09:05
 *   COMMENT: R60_12
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFRERETR
 * 
 * XETRA REQUEST BROADCAST RE-TRANSMISSION
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFRERETR_HXX_
#define _RFRERETR_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define KEY_DAT_CTRL_BLC_LEN  80
#define RE_TRANS_DATA_LEN     3500


/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfreretr_keyDatCtrlBlc  keyDatCtrlBlc
#define rfreretr_reTransData    reTransData

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/

    typedef struct rfreretrTag
    {
        char keyDatCtrlBlc[KEY_DAT_CTRL_BLC_LEN];
        char reTransData[RE_TRANS_DATA_LEN];
    } rfreretrT, *pRfreretrT;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFRERETR_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfreretr.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

