/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfred022.hxx
 *      DATE: 02/02/01 - 11:51
 *   COMMENT: R60_13
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFRED022
 * XETRA INQUIRE INSTRUMENT LIST
 * 
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFRED022_HXX_
#define _RFRED022_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define INST_GRP_COD_LEN           4
#define INST_MNEM_LEN              5
#define INST_SHT_NAM_LEN           30
#define INST_TYP_COD_LEN           3
#define ISIN_COD_LEN               12
#define KEY_DAT_CTRL_BLC_LEN       80
#define WKN_NO_LEN                 9

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define INST_LOGIN_LIST_SECTA_MAX  60

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfred022_extrInd(Xarg1)     instLoginListSecta[(Xarg1)].extrInd
#define rfred022_instGrpCod(Xarg1)  instLoginListSecta[(Xarg1)].instGrpDefGrp.instGrpCod
#define rfred022_instMnem(Xarg1)    instLoginListSecta[(Xarg1)].instMnem
#define rfred022_instShtNam(Xarg1)  instLoginListSecta[(Xarg1)].instShtNam
#define rfred022_instTypCod(Xarg1)  instLoginListSecta[(Xarg1)].instTypCod
#define rfred022_isinCod(Xarg1)     instLoginListSecta[(Xarg1)].instGrpIdCod.isinCod
#define rfred022_keyDatCtrlBlc      keyDatCtrlBlc
#define rfred022_wknNo(Xarg1)       instLoginListSecta[(Xarg1)].wknNo

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/
#ifndef _INST_GRP_DEF_GRP_T_
#define _INST_GRP_DEF_GRP_T_

    typedef struct instGrpDefGrpTag
    {
        char instGrpCod[INST_GRP_COD_LEN];
    } instGrpDefGrpT, *pInstGrpDefGrpT;


#endif  /* _INST_GRP_DEF_GRP_T_ */

/*----------------------------------------------------------------------------*/
#ifndef _INST_GRP_ID_COD_T_
#define _INST_GRP_ID_COD_T_

    typedef struct instGrpIdCodTag
    {
        char isinCod[ISIN_COD_LEN];
    } instGrpIdCodT, *pInstGrpIdCodT;


#endif  /* _INST_GRP_ID_COD_T_ */

/*----------------------------------------------------------------------------*/
#ifndef _INST_LOGIN_LIST_SECTA_T_
#define _INST_LOGIN_LIST_SECTA_T_

    typedef struct instLoginListSectaTag
    {
        instGrpIdCodT instGrpIdCod;
        char wknNo[WKN_NO_LEN];
        char instMnem[INST_MNEM_LEN];
        char instShtNam[INST_SHT_NAM_LEN];
        char extrInd;
        instGrpDefGrpT instGrpDefGrp;
        char instTypCod[INST_TYP_COD_LEN];
    } instLoginListSectaT, *pInstLoginListSectaT;


#endif  /* _INST_LOGIN_LIST_SECTA_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct rfred022Tag
    {
        char keyDatCtrlBlc[KEY_DAT_CTRL_BLC_LEN];
        instLoginListSectaT instLoginListSecta[INST_LOGIN_LIST_SECTA_MAX];
    } rfred022T, *pRfred022T;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFRED022_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfred022.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

