/*######################################################################
#                                                                      #
#                Copyright (c) 1997,98,99 by                           #
#          Deutsche Boerse AG, Frankfurt, Germany                      #
#                          All rights reserved.                        #
#                                                                      #
#   This software is furnished under a license and may be used and     #
#   copied  only  in accordance with the terms of such license and     #
#   with the  inclusion  of  the  above  copyright  notice.   This     #
#   software  or  any  other copies thereof may not be provided or     #
#   otherwise made available to any other person.  No title to and     #
#   ownership of the software is hereby transferred.                   #
#                                                                      #
#   The information in this software is subject to change  without     #
#   notice  and should not be construed as a commitment by Deutsche    #
#   Boerse AG.                                                         #
#                                                                      #
#   Deutsche Boerse AG assumes no responsibility for the use  or       #
#   reliability of its software on equipment which is not certified by #
#   Deutsche Boerse AG.                                                #
#                                                                      #
######################################################################*/
/*----------------------------------------------------------------------------*/
/* 
 * FILE NAME: rfrqd022.hxx
 *      DATE: 30/01/01 - 09:05
 *   COMMENT: R60_12
 * 
 *  THIS FILE IS GENERATED AUTOMATICALLY FROM DESIGN/1 EXTRACT
 *  XETRA Copybook/C generation program
 * 
 * DESCRIPTION  : RFRQD022
 * XETRA INQUIRE INSTRUMENT LIST
 * 
 * 
 */
/*----------------------------------------------------------------------------*/


#ifndef _RFRQD022_HXX_
#define _RFRQD022_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

/*----------------------------------------------------------------------------*/
/* Length definitions */

#define KEY_DAT_CTRL_BLC_LEN  80


/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define rfrqd022_instAssCod     instAssCod
#define rfrqd022_keyDatCtrlBlc  keyDatCtrlBlc

/*----------------------------------------------------------------------------*/
/* Types definition */

/*----------------------------------------------------------------------------*/

    typedef struct rfrqd022Tag
    {
        char keyDatCtrlBlc[KEY_DAT_CTRL_BLC_LEN];
        char instAssCod;
    } rfrqd022T, *pRfrqd022T;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _RFRQD022_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file rfrqd022.hxx */
/*----------------------------------------------------------------------------*/
/* DO NOT ADD ANYTHING AFTER THIS LINE */

